Bug 1680482 - dnf update alias from man page doesn't work
Summary: dnf update alias from man page doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Pavla Kratochvilova
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 07:37 UTC by Karel Srot
Modified: 2020-04-28 16:47 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.17-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:47:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1823 None None None 2020-04-28 16:47:54 UTC

Description Karel Srot 2019-02-25 07:37:11 UTC
Description of problem:

dnf man page has following example:

  dnf alias add update="\update --skip-broken --disableexcludes=all --obsoletes"

however this example doesn't work.

1. the command above should be working
2. man page should explain the \ notation

# dnf update
No such command: \update. Please use /usr/bin/dnf --help


Version-Release number of selected component (if applicable):
dnf-4.0.9.2-4.el8.noarch

Comment 3 Brandon Bennett 2019-12-16 15:56:35 UTC
This exists for Fedora 31 as well.

$ sudo dnf alias add update='\update --skip-broken --disablerepo=cpe*'
Aliases added: update
$ sudo dnf update
No such command: \update. Please use /usr/bin/dnf --help
It could be a DNF plugin command, try: "dnf install 'dnf-command(\update)'"

Comment 6 Pavla Kratochvilova 2019-12-18 08:24:55 UTC
PR that fixes the '\' processing (thank you, Brandon!): https://github.com/rpm-software-management/dnf/pull/1553
PR that adds explanation to the documentation: https://github.com/rpm-software-management/dnf/pull/1557
Tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/738

Comment 10 errata-xmlrpc 2020-04-28 16:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1823


Note You need to log in before you can comment on or make changes to this bug.